Ignore:
Timestamp:
Mar 30, 2007 5:16:44 PM (14 years ago)
Author:
lou
Message:

Configuration and makefile changes for cbc-generic.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/devel/Cbc/configure

    r585 r592  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS CBCSRCDIR CBCOBJDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE CGLSRCDIR CGLOBJDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE DYLPSRCDIR DYLPOBJDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE OSISRCDIR OSIOBJDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE SYMSRCDIR SYMOBJDIR COIN_HAS_SYM_TRUE COIN_HAS_SYM_FALSE VOLSRCDIR VOLOBJDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE FMPINCDIR FMPLIB COIN_HAS_FMP_TRUE COIN_HAS_FMP_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE OSLINCDIR OSLLIB COIN_HAS_OSL_TRUE COIN_HAS_OSL_FALSE SPXINCDIR SPXLIB COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASLLIB ASL_CPPFLAGS COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS CBCSRCDIR CBCOBJDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE CGLSRCDIR CGLOBJDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE DYLPSRCDIR DYLPOBJDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE OSISRCDIR OSIOBJDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE SYMSRCDIR SYMOBJDIR COIN_HAS_SYM_TRUE COIN_HAS_SYM_FALSE VOLSRCDIR VOLOBJDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE FMPINCDIR FMPLIB COIN_HAS_FMP_TRUE COIN_HAS_FMP_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE OSLINCDIR OSLLIB COIN_HAS_OSL_TRUE COIN_HAS_OSL_FALSE SPXINCDIR SPXLIB COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASLLIB ASL_CPPFLAGS COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11211121  --with-tags[=TAGS]
    11221122                          include additional configurations [automatic]
    1123   --with-cbc-default-solver
    1124                           specify default solver for Cbc in lower case letters
    1125                           (if not given, clp is assumed)
    11261123  --with-cplex-incdir specify the directory with the header files for library
    11271124                          Cplex
     
    11471144  --with-asldir           specify path to AMPL solver directory (or BUILD for
    11481145                          compilation, or "no" for disabling AMPL)
     1146  --with-cbc-generic      specify whether to build cbc-generic (default: no)
     1147  --with-cbc-generic-solver
     1148                          specify default solver for cbc-generic in lower case
     1149                          letters (if not given, clp is assumed)
    11491150
    11501151Some influential environment variables:
     
    56695670*-*-irix6*)
    56705671  # Find out which ABI we are using.
    5671   echo '#line 5671 "configure"' > conftest.$ac_ext
     5672  echo '#line 5672 "configure"' > conftest.$ac_ext
    56725673  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    56735674  (eval $ac_compile) 2>&5
     
    68036804
    68046805# Provide some information about the compiler.
    6805 echo "$as_me:6805:" \
     6806echo "$as_me:6806:" \
    68066807     "checking for Fortran 77 compiler version" >&5
    68076808ac_compiler=`set X $ac_compile; echo $2`
     
    78707871   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78717872   -e 's:$: $lt_compiler_flag:'`
    7872    (eval echo "\"\$as_me:7872: $lt_compile\"" >&5)
     7873   (eval echo "\"\$as_me:7873: $lt_compile\"" >&5)
    78737874   (eval "$lt_compile" 2>conftest.err)
    78747875   ac_status=$?
    78757876   cat conftest.err >&5
    7876    echo "$as_me:7876: \$? = $ac_status" >&5
     7877   echo "$as_me:7877: \$? = $ac_status" >&5
    78777878   if (exit $ac_status) && test -s "$ac_outfile"; then
    78787879     # The compiler can only warn and ignore the option if not recognized
     
    81388139   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81398140   -e 's:$: $lt_compiler_flag:'`
    8140    (eval echo "\"\$as_me:8140: $lt_compile\"" >&5)
     8141   (eval echo "\"\$as_me:8141: $lt_compile\"" >&5)
    81418142   (eval "$lt_compile" 2>conftest.err)
    81428143   ac_status=$?
    81438144   cat conftest.err >&5
    8144    echo "$as_me:8144: \$? = $ac_status" >&5
     8145   echo "$as_me:8145: \$? = $ac_status" >&5
    81458146   if (exit $ac_status) && test -s "$ac_outfile"; then
    81468147     # The compiler can only warn and ignore the option if not recognized
     
    82428243   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82438244   -e 's:$: $lt_compiler_flag:'`
    8244    (eval echo "\"\$as_me:8244: $lt_compile\"" >&5)
     8245   (eval echo "\"\$as_me:8245: $lt_compile\"" >&5)
    82458246   (eval "$lt_compile" 2>out/conftest.err)
    82468247   ac_status=$?
    82478248   cat out/conftest.err >&5
    8248    echo "$as_me:8248: \$? = $ac_status" >&5
     8249   echo "$as_me:8249: \$? = $ac_status" >&5
    82498250   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82508251   then
     
    1058710588  lt_status=$lt_dlunknown
    1058810589  cat > conftest.$ac_ext <<EOF
    10589 #line 10589 "configure"
     10590#line 10590 "configure"
    1059010591#include "confdefs.h"
    1059110592
     
    1068710688  lt_status=$lt_dlunknown
    1068810689  cat > conftest.$ac_ext <<EOF
    10689 #line 10689 "configure"
     10690#line 10690 "configure"
    1069010691#include "confdefs.h"
    1069110692
     
    1303113032   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303213033   -e 's:$: $lt_compiler_flag:'`
    13033    (eval echo "\"\$as_me:13033: $lt_compile\"" >&5)
     13034   (eval echo "\"\$as_me:13034: $lt_compile\"" >&5)
    1303413035   (eval "$lt_compile" 2>conftest.err)
    1303513036   ac_status=$?
    1303613037   cat conftest.err >&5
    13037    echo "$as_me:13037: \$? = $ac_status" >&5
     13038   echo "$as_me:13038: \$? = $ac_status" >&5
    1303813039   if (exit $ac_status) && test -s "$ac_outfile"; then
    1303913040     # The compiler can only warn and ignore the option if not recognized
     
    1313513136   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1313613137   -e 's:$: $lt_compiler_flag:'`
    13137    (eval echo "\"\$as_me:13137: $lt_compile\"" >&5)
     13138   (eval echo "\"\$as_me:13138: $lt_compile\"" >&5)
    1313813139   (eval "$lt_compile" 2>out/conftest.err)
    1313913140   ac_status=$?
    1314013141   cat out/conftest.err >&5
    13141    echo "$as_me:13141: \$? = $ac_status" >&5
     13142   echo "$as_me:13142: \$? = $ac_status" >&5
    1314213143   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1314313144   then
     
    1470514706   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470614707   -e 's:$: $lt_compiler_flag:'`
    14707    (eval echo "\"\$as_me:14707: $lt_compile\"" >&5)
     14708   (eval echo "\"\$as_me:14708: $lt_compile\"" >&5)
    1470814709   (eval "$lt_compile" 2>conftest.err)
    1470914710   ac_status=$?
    1471014711   cat conftest.err >&5
    14711    echo "$as_me:14711: \$? = $ac_status" >&5
     14712   echo "$as_me:14712: \$? = $ac_status" >&5
    1471214713   if (exit $ac_status) && test -s "$ac_outfile"; then
    1471314714     # The compiler can only warn and ignore the option if not recognized
     
    1480914810   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1481014811   -e 's:$: $lt_compiler_flag:'`
    14811    (eval echo "\"\$as_me:14811: $lt_compile\"" >&5)
     14812   (eval echo "\"\$as_me:14812: $lt_compile\"" >&5)
    1481214813   (eval "$lt_compile" 2>out/conftest.err)
    1481314814   ac_status=$?
    1481414815   cat out/conftest.err >&5
    14815    echo "$as_me:14815: \$? = $ac_status" >&5
     14816   echo "$as_me:14816: \$? = $ac_status" >&5
    1481614817   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1481714818   then
     
    1701617017   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1701717018   -e 's:$: $lt_compiler_flag:'`
    17018    (eval echo "\"\$as_me:17018: $lt_compile\"" >&5)
     17019   (eval echo "\"\$as_me:17019: $lt_compile\"" >&5)
    1701917020   (eval "$lt_compile" 2>conftest.err)
    1702017021   ac_status=$?
    1702117022   cat conftest.err >&5
    17022    echo "$as_me:17022: \$? = $ac_status" >&5
     17023   echo "$as_me:17023: \$? = $ac_status" >&5
    1702317024   if (exit $ac_status) && test -s "$ac_outfile"; then
    1702417025     # The compiler can only warn and ignore the option if not recognized
     
    1728417285   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1728517286   -e 's:$: $lt_compiler_flag:'`
    17286    (eval echo "\"\$as_me:17286: $lt_compile\"" >&5)
     17287   (eval echo "\"\$as_me:17287: $lt_compile\"" >&5)
    1728717288   (eval "$lt_compile" 2>conftest.err)
    1728817289   ac_status=$?
    1728917290   cat conftest.err >&5
    17290    echo "$as_me:17290: \$? = $ac_status" >&5
     17291   echo "$as_me:17291: \$? = $ac_status" >&5
    1729117292   if (exit $ac_status) && test -s "$ac_outfile"; then
    1729217293     # The compiler can only warn and ignore the option if not recognized
     
    1738817389   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1738917390   -e 's:$: $lt_compiler_flag:'`
    17390    (eval echo "\"\$as_me:17390: $lt_compile\"" >&5)
     17391   (eval echo "\"\$as_me:17391: $lt_compile\"" >&5)
    1739117392   (eval "$lt_compile" 2>out/conftest.err)
    1739217393   ac_status=$?
    1739317394   cat out/conftest.err >&5
    17394    echo "$as_me:17394: \$? = $ac_status" >&5
     17395   echo "$as_me:17395: \$? = $ac_status" >&5
    1739517396   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1739617397   then
     
    2012620127            -e 's/$AR t/lib -nologo -list/' \
    2012720128            -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20128             -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20129            -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \\
     20130            -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    2012920131        libtool > conftest.bla
    2013020132
     
    2070320705echo "${ECHO_T}$coin_has_vol" >&6
    2070420706
    20705 
    20706 # ToDo: find out when CBC_HAS_CLP should be defined!  For now, I
    20707 # replaced all CBC_USE by COIN_HAS #ifdef's
    20708 
    20709 # Decide which one is the default solver
    20710 echo "$as_me:$LINENO: checking for CBC default solver" >&5
    20711 echo $ECHO_N "checking for CBC default solver... $ECHO_C" >&6
    20712 
    20713 # Check whether --with-cbc-default-solver or --without-cbc-default-solver was given.
    20714 if test "${with_cbc_default_solver+set}" = set; then
    20715   withval="$with_cbc_default_solver"
    20716   cbc_default_solver=$withval
    20717 else
    20718   cbc_default_solver=clp
    20719 fi;
    20720 echo "$as_me:$LINENO: result: $cbc_default_solver" >&5
    20721 echo "${ECHO_T}$cbc_default_solver" >&6
    20722 
    20723 case $cbc_default_solver in
    20724   clp)
    20725 
    20726 cat >>confdefs.h <<\_ACEOF
    20727 #define CBC_DEFAULT_SOLVER "clp"
    20728 _ACEOF
    20729 
    20730     ;;
    20731   dylp)
    20732     cat >>confdefs.h <<\_ACEOF
    20733 #define CBC_DEFAULT_SOLVER "dylp"
    20734 _ACEOF
    20735 
    20736     ;;
    20737   *)
    20738     { { echo "$as_me:$LINENO: error: Unknown solver $cbc_default_solver chosen as CBC's default solver" >&5
    20739 echo "$as_me: error: Unknown solver $cbc_default_solver chosen as CBC's default solver" >&2;}
    20740    { (exit 1); exit 1; }; }
    20741     ;;
    20742 esac
    2074320707
    2074420708#############################################################################
     
    2177021734
    2177121735# Determine the name of the ASL library
    21772 case "$CXX" in
     21736case "$CC" in
    2177321737  cl* | */cl* | CL* | */CL*)
    2177421738    ampllib=amplsolv.lib ;;
     
    2198221946
    2198321947
     21948#############################################################################
     21949#                       CbcGeneric configuration                            #
     21950#############################################################################
     21951
     21952# Are we building cbc-generic? Default is no (false).
     21953
     21954
     21955# Check whether --with-cbc-generic or --without-cbc-generic was given.
     21956if test "${with_cbc_generic+set}" = set; then
     21957  withval="$with_cbc_generic"
     21958  case $withval in
     21959    yes) cbc_with_cbc_generic=true ;;
     21960      *) cbc_with_cbc_generic=false ;;
     21961   esac
     21962else
     21963  cbc_with_cbc_generic=false
     21964fi;
     21965if test x"$cbc_with_cbc_generic" = xyes ; then
     21966  { echo "$as_me:$LINENO: building cbc-generic" >&5
     21967echo "$as_me: building cbc-generic" >&6;}
     21968fi
     21969
     21970
     21971if test x"$cbc_with_cbc_generic" = xtrue; then
     21972  CBC_BUILD_CBC_GENERIC_TRUE=
     21973  CBC_BUILD_CBC_GENERIC_FALSE='#'
     21974else
     21975  CBC_BUILD_CBC_GENERIC_TRUE='#'
     21976  CBC_BUILD_CBC_GENERIC_FALSE=
     21977fi
     21978
     21979
     21980# Set the default solver for cbc-generic. In theory, any OsiXXX should work.
     21981# In practice, only the three listed below have had any testing.
     21982
     21983echo "$as_me:$LINENO: checking for cbc-generic default solver" >&5
     21984echo $ECHO_N "checking for cbc-generic default solver... $ECHO_C" >&6
     21985
     21986# Check whether --with-cbc-generic-solver or --without-cbc-generic-solver was given.
     21987if test "${with_cbc_generic_solver+set}" = set; then
     21988  withval="$with_cbc_generic_solver"
     21989  cbc_default_solver=$withval
     21990else
     21991  cbc_default_solver=clp
     21992fi;
     21993echo "$as_me:$LINENO: result: $cbc_default_solver" >&5
     21994echo "${ECHO_T}$cbc_default_solver" >&6
     21995
     21996case $cbc_default_solver in
     21997   clp)
     21998    ;;
     21999  dylp)
     22000    ;;
     22001  glpk)
     22002    ;;
     22003     *)
     22004    { echo "$as_me:$LINENO: WARNING: Unrecognised solver $cbc_default_solver chosen as cbc-generic default solver." >&5
     22005echo "$as_me: WARNING: Unrecognised solver $cbc_default_solver chosen as cbc-generic default solver." >&2;}
     22006    ;;
     22007esac
     22008
     22009cat >>confdefs.h <<_ACEOF
     22010#define CBC_DEFAULT_SOLVER "$cbc_default_solver"
     22011_ACEOF
     22012
     22013
     22014#
     22015
    2198422016##############################################################################
    2198522017#                   VPATH links for example input files                      #
     
    2231022342Usually this means the macro was only invoked conditionally." >&5
    2231122343echo "$as_me: error: conditional \"COIN_HAS_ASL\" was never defined.
     22344Usually this means the macro was only invoked conditionally." >&2;}
     22345   { (exit 1); exit 1; }; }
     22346fi
     22347if test -z "${CBC_BUILD_CBC_GENERIC_TRUE}" && test -z "${CBC_BUILD_CBC_GENERIC_FALSE}"; then
     22348  { { echo "$as_me:$LINENO: error: conditional \"CBC_BUILD_CBC_GENERIC\" was never defined.
     22349Usually this means the macro was only invoked conditionally." >&5
     22350echo "$as_me: error: conditional \"CBC_BUILD_CBC_GENERIC\" was never defined.
    2231222351Usually this means the macro was only invoked conditionally." >&2;}
    2231322352   { (exit 1); exit 1; }; }
     
    2301123050s,@COIN_HAS_ASL_TRUE@,$COIN_HAS_ASL_TRUE,;t t
    2301223051s,@COIN_HAS_ASL_FALSE@,$COIN_HAS_ASL_FALSE,;t t
     23052s,@CBC_BUILD_CBC_GENERIC_TRUE@,$CBC_BUILD_CBC_GENERIC_TRUE,;t t
     23053s,@CBC_BUILD_CBC_GENERIC_FALSE@,$CBC_BUILD_CBC_GENERIC_FALSE,;t t
    2301323054s,@LIBEXT@,$LIBEXT,;t t
    2301423055s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
Note: See TracChangeset for help on using the changeset viewer.